Package com.sun.messaging

## Class Destination

- java.lang.Object
- - com.sun.messaging.AdministeredObject
  - - com.sun.messaging.Destination

- All Implemented Interfaces:
    `jakarta.jms.Destination`, `java.io.Serializable`
  Direct Known Subclasses:
    `BasicQueue`, `BasicTopic`

      public abstract class Destination
      extends AdministeredObject
      implements jakarta.jms.Destination

  A `Destination` encapsulates Sun MQ specific configuration information for Sun MQ `Destination` objects.
  See Also:
    `jakarta.jms.Destination`, `com.sun.messaging.DestinationConfiguration`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sun.messaging.AdministeredObject

      `AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, cachedConfigurationMap, configuration, configurationLabels, configurationTypes, cr, VERSION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Destination()` | Constructs an "untitled" Destination.
    `Destination​(java.lang.String name)` | Constructs a Destination given the name

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Returns the name of this Destination.
    `java.lang.String` | `getQueueName()` | Returns the queue name.
    `java.lang.String` | `getTopicName()` | Returns the topic name.
    `abstract boolean` | `isQueue()` | Returns whether this is a Queueing type of Destination.
    `abstract boolean` | `isTemporary()` | Returns whether this is a Temporary type of Destination.
    `void` | `setDefaultConfiguration()` | Sets the minimum `Destination` configuration defaults required of a Sun MQ Destination identity object.
    `java.lang.String` | `toString()` | Returns a pretty printed version of the provider specific information for this Destination identity object.
    `java.lang.Boolean` | `validate_imqDestinationName​(java.lang.String name)` | Validates a `Destination` name.

    - ### Methods inherited from class com.sun.messaging.AdministeredObject

      `dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly, setStoredVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Destination

          public Destination()

      Constructs an "untitled" Destination.

    - #### Destination

          public Destination​(java.lang.String name)
                      throws jakarta.jms.InvalidDestinationException

      Constructs a Destination given the name
      Parameters:
        `name` - The name of the Destination
      Throws:
        `jakarta.jms.InvalidDestinationException`
      See Also:
        `If name is an invalid destination name`

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the name of this Destination.
      Returns:
        the Destination name

    - #### getQueueName

          public java.lang.String getQueueName()
                                        throws jakarta.jms.JMSException

      Returns the queue name.
      Returns:
        the queue name
      Throws:
        `jakarta.jms.JMSException` - if a queue access error occurs.

    - #### getTopicName

          public java.lang.String getTopicName()
                                        throws jakarta.jms.JMSException

      Returns the topic name.
      Returns:
        the topic name
      Throws:
        `jakarta.jms.JMSException` - if a topic access error occurs.

    - #### toString

          public java.lang.String toString()

      Returns a pretty printed version of the provider specific information for this Destination identity object.
      Overrides:
        `toString` in class `AdministeredObject`
      Returns:
        the pretty printed string.

    - #### isQueue

          public abstract boolean isQueue()

      Returns whether this is a Queueing type of Destination.
      Returns:
        whether this is a Queueing type of Destination.

    - #### isTemporary

          public abstract boolean isTemporary()

      Returns whether this is a Temporary type of Destination.
      Returns:
        whether this is a Temporary type of Destination.

    - #### setDefaultConfiguration

          public void setDefaultConfiguration()

      Sets the minimum `Destination` configuration defaults required of a Sun MQ Destination identity object.
      Specified by:
        `setDefaultConfiguration` in class `AdministeredObject`

    - #### validate_imqDestinationName

          public java.lang.Boolean validate_imqDestinationName​(java.lang.String name)

      Validates a `Destination` name.
      Parameters:
        `name` - The `Destination` name.
      Returns:
        `true` if the name is valid; `false` if the name is invalid.